Bug 217426 - [New Port] math/py-PyWavelets: Discrete Wavelet Transforms in Python
Summary: [New Port] math/py-PyWavelets: Discrete Wavelet Transforms in Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-28 19:31 UTC by Eric Camachat
Modified: 2017-03-10 04:40 UTC (History)
1 user (show)

See Also:


Attachments
Discrete Wavelet Transforms in Python (2.84 KB, patch)
2017-02-28 19:31 UTC, Eric Camachat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2017-02-28 19:31:01 UTC
Created attachment 180365 [details]
Discrete Wavelet Transforms in Python
Comment 1 Wen Heping freebsd_committer 2017-03-09 07:07:34 UTC
New port could not be maintained by ports@, would you maintain this port ?

wen
Comment 2 Eric Camachat 2017-03-09 14:51:55 UTC
(In reply to Wen Heping from comment #1)
OK, I will take it.
Comment 3 commit-hook freebsd_committer 2017-03-10 01:29:10 UTC
A commit references this bug:

Author: wen
Date: Fri Mar 10 01:28:26 UTC 2017
New revision: 435813
URL: https://svnweb.freebsd.org/changeset/ports/435813

Log:
  PyWavelets is a free Open Source library for wavelet transforms in Python.
  Wavelets are mathematical basis functions that are localized in both time and
  frequency. Wavelet transforms are time-frequency transforms employing wavelets.
  They are similar to Fourier transforms, the difference being that Fourier
  transforms are localized only in frequency instead of in time and frequency.

  WWW: https://github.com/PyWavelets/pywt

  PR:		217426
  Submitted by:	eric@camachat.org

Changes:
  head/math/Makefile
  head/math/py-PyWavelets/
  head/math/py-PyWavelets/Makefile
  head/math/py-PyWavelets/distinfo
  head/math/py-PyWavelets/pkg-descr
Comment 4 Wen Heping freebsd_committer 2017-03-10 01:34:38 UTC
I made some modification and set you as maintainer.
btw. 0.5.2 released, would you update it ?

wen
Comment 5 Eric Camachat 2017-03-10 04:40:10 UTC
(In reply to Wen Heping from comment #4)
OK, I will test it out.